<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "https://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <properties resource="mybatis/jdbc.properties" />

    <!-- 类型别名 -->
    <typeAliases>
        <package name="com.cpic.xim.mybatis.pojo" />
        <package name="com.cpic.xim.utils.ranking" />
    </typeAliases>

    <environments default="development">
        <environment id="development">
            <transactionManager type="JDBC" />
            <dataSource type="POOLED">
                <property name="driver" value="${jdbc.oracle.driver}" />
                <property name="url" value="${jdbc.oracle.xmcx1.url}" />
                <property name="username" value="${jdbc.oracle.xmcx1.username}" />
                <property name="password" value="${jdbc.oracle.xmcx1.password}" />
            </dataSource>
        </environment>
    </environments>
    
    <mappers>
        <!-- <mapper resource="mybatis/mapper/StaffMapper.xml" /> -->
        <mapper resource="mybatis/mapper/ArchievementMapper.xml" />
        <mapper resource="mybatis/mapper/RankingListMapper.xml" />
        <mapper resource="mybatis/mapper/RewardsMapper.xml" />
        <mapper resource="mybatis/mapper/ImportBIArchievementDataMapper.xml" />  
    </mappers>
</configuration>